Create Signup Link
curl --request POST \
--url https://api.openpmm.com/v1/signup-intents \
--header 'Content-Type: application/json' \
--data '
{
"email": "publisher@example.com",
"workspace_name": "Acme Marketing"
}
'import requests
url = "https://api.openpmm.com/v1/signup-intents"
payload = {
"email": "publisher@example.com",
"workspace_name": "Acme Marketing"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: 'publisher@example.com', workspace_name: 'Acme Marketing'})
};
fetch('https://api.openpmm.com/v1/signup-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "signup_intent",
"signup_url": "<string>",
"expires_at": "2026-08-09T12:00:00.000Z",
"cli_authorization": {
"object": "cli_authorization",
"sensitive": true,
"device_secret": "<string>",
"verification_uri": "<string>",
"verification_uri_complete": "<string>",
"expires_at": "2026-08-09T12:00:00.000Z",
"interval": 5
}
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_payload_too_large",
"title": "Payload too large",
"status": 413,
"detail": "The request body exceeds the 1 MiB limit.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_payload_too_large",
"request_id": "req_01JABCDEF",
"retryable": false,
"errors": []
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}{
"type": "https://www.openpmm.com/docs/reference/errors#public_invalid_request",
"title": "Invalid request",
"status": 400,
"detail": "The request body does not match the public contract.",
"instance": "urn:openpmm:request:req_01JABCDEF",
"code": "public_invalid_request",
"category": "validation",
"request_id": "req_01JABCDEF",
"retryable": false,
"retry": {
"safety": "not_retryable",
"after": null
},
"user_action": "check_request",
"errors": [
{
"pointer": "/posts/0/destination_id",
"code": "custom",
"detail": "Publishing an entry requires a destination."
}
]
}Signup
Create Signup Link
Create a short-lived signup link. Open the link in a browser. Then sign up with Google or an email address and password. The verified email address must match the request.
POST
/
signup-intents
Create Signup Link
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128Body
application/json
Workspace and verified email details.
